#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <asm/io.h>
#include <curses.h>

#define base 0x378           /* printer port base address */
#define up 4            /* numeric value to send to printer port */
#define down 1
#define left 32
#define right 16
#define open 8
#define close 2
#define led 64
#define stop 0

int main()
{
    iopl(3);
    int c;
    WINDOW *curwin;

    curwin = initscr();

    keypad(stdscr, TRUE);

    cbreak();
    noecho();
    while (c = getch())
    switch(c) {
               case KEY_UP:
                        /* Rob Goes Up */
                        outb(up, base);
                        break;
               case KEY_DOWN:
                        /* Rob goes Down */
                        outb(down, base);
                        break;
               case KEY_LEFT:
                        /* Rob goes Left */
                        outb(left, base);
                        break;
               case KEY_RIGHT:
                        /* Rob Goes Right */
                        outb(right, base);
                        break;
               case KEY_SPACE:
                        /* Rob Goes off */
                        outb(stop, base);
                        break;
               case KEY_Z:
                        /* Rob Closes Hands */
                        outb(close, base);
                        break;
               case KEY_X:
                        /* Rob Open Hands */
                        outb(open, base);
                        break;
               case KEY_C:
                        /* Rob's Led Goes Up */
                        outb(led, base);
                        break;
               case KEY_ESC:
                        /* Exit Program */
                        outb(stop, base);
                        endwin();
                        return 0;

}

return 0;
}

